Bug 461431 - Review Request: clutter-cairomm - C++ wrapper for clutter-cairo library
Review Request: clutter-cairomm - C++ wrapper for clutter-cairo library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 18:37 EDT by Denis Leroy
Modified: 2008-09-15 04:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 04:43:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Leroy 2008-09-07 18:37:16 EDT
Spec URL: http://www.poolshark.org/src/clutter-cairomm.spec
SRPM URL: http://www.poolshark.org/src/clutter-cairomm-0.7.2-1.fc10.src.rpm

Description: 
Clutter-cairomm is a C++ wrapper library for clutter-cairo: a library
that allows clutter to be embedded in cairo applications. Clutter is
an OpenGL-based library for creating fast, visually rich and animated
graphical user interfaces.

Notes to reviewer: this library used to be packaged as part of cluttermm, but was recently forked from the cluttermm tarball (along with clutter-gtkmm), to match the same subpackages as the corresponding C libraries (clutter, clutter-cairo and clutter-gtk).
Comment 1 Mamoru TASAKA 2008-09-12 03:26:28 EDT
Okay.

! Please consider to use
  make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
  to keep timestamps on installed files (for this package, especially
  for header files).
  This method usually works for recent autotools based
  Makefiles.

! Requires: clutter-devel seems redundant under the existence
  of "Requires: cluttermm-devel", however this is not a blocker.

-----------------------------------------------------------------------
    This package (clutter-cairomm) is APPROVED by mtasaka
-----------------------------------------------------------------------
Comment 2 Mamoru TASAKA 2008-09-12 03:30:49 EDT
Just a note:
successful scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=822085
Comment 3 Denis Leroy 2008-09-12 06:44:07 EDT
Thanks, I added your suggested fixes.

New Package CVS Request
=======================
Package Name: clutter-cairomm
Short Description: C++ wrapper for clutter-cairo library
Owners: denis
Branches: F-9
InitialCC:
Comment 4 Kevin Fenzi 2008-09-14 18:27:56 EDT
cvs done.
Comment 5 Denis Leroy 2008-09-15 04:43:27 EDT
Thanks.

Note You need to log in before you can comment on or make changes to this bug.